<template>

<v-layout align-center justify-center mt-8>
      <v-flex xs12 sm8 md4>

     <v-card><v-card-text>

    <v-form
      ref="form"
      v-model="valid"
      lazy-validation
    >

      <v-text-field
        v-model="fields.email"
        :rules="emailRules"
        label="E-mail"
        required
      ></v-text-field>

      <v-text-field
        v-model="fields.password"
        :rules="passwordRules"
        label="Password"
        required
        type="password"
      ></v-text-field>


      <v-btn
        color="success"
        @click="login"
      >
        Login
      </v-btn>
    </v-form>
</v-card-text>
     </v-card>
    </v-flex>
    </v-layout>

  </template>


<script>
  export default {
    data: () => ({
      fields: {},
      errors: {},
      valid: true,
      password: '',
      passwordRules: [
        v => !!v || 'Password is required',
        v => (v && v.length >= 6) || 'Password must be more than 6 characters',
      ],
      email: '',
      emailRules: [
        v => !!v || 'E-mail is required',
        v => /.+@.+\..+/.test(v) || 'E-mail must be valid',
      ],
      select: null,

    }),

    methods: {
      login() {
        axios
        .post("/api/login", this.fields)
        .then(() => {
          localStorage.setItem('authenticated', 'true');
          this.$emit('update-toolbar');
          this.$router.push({ name: "Tasks" });
        })
        .catch((error) => {
          this.errors = error.response.data.errors;
        });
      }
    },
  }
</script>
